Bug 4850 - [UPDATE REQUEST] nginx 1.2.9 -> 1.7.9
: [UPDATE REQUEST] nginx 1.2.9 -> 1.7.9
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-12 16:20 MSK by Andrey Bondrov
Modified: 2015-01-27 17:52 MSK (History)
2 users (show)

See Also:
RPM Package: nginx
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-01-12 16:20:45 MSK
Our current version of nginx is too old and no longer supported, we need to update it.
Comment 1 Andrey Bondrov 2015-01-12 16:24:54 MSK
Advisory: "New version 1.7.9"

https://abf.rosalinux.ru/build_lists/2388417
https://abf.rosalinux.ru/build_lists/2388418
Comment 2 Alexander Petryakov 2015-01-13 10:50:36 MSK
lsb_release -a
LSB Version:    core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch:core-5.0-amd64:core-5.0-noarch:cxx-3.1-amd64:cxx-3.1-noarch:cxx-3.2-amd64:cxx-3.2-noarch:graphics-3.1-amd64:graphics-3.1-noarch:graphics-3.2-amd64:graphics-3.2-noarch:lsb-2.0-amd64:lsb-2.0-noarch:lsb-3.0-amd64:lsb-3.0-noarch:lsb-3.1-amd64:lsb-3.1-noarch:lsb-3.2-amd64:lsb-3.2-noarch:lsb-4.0-amd64:lsb-4.0-noarch:lsb-4.1-amd64:lsb-4.1-noarch:lsb-5.0-amd64:lsb-5.0-noarch
Distributor ID: RosaDesktopFresh
Description:    ROSA Desktop Fresh R5
Release:        2014.1
Codename:       belka

# systemctl status nginx
nginx.service - A high performance web server and reverse proxy server
   Loaded: loaded (/lib/systemd/system/nginx.service; enabled)
   Active: failed (Result: exit-code) since Вт 2015-01-13 09:45:35 MSK; 16s ago
  Process: 17737 ExecStartPre=/usr/sbin/nginx -t -c /etc/nginx/nginx.conf (code=exited, status=1/FAILURE)

# nginx 
nginx: [emerg] open() "/var/run/nginx/nginx.pid" failed (2: No such file or directory)
Comment 3 Andrey Bondrov 2015-01-13 14:09:27 MSK
(In reply to comment #2)
> # systemctl status nginx
> nginx.service - A high performance web server and reverse proxy server
>    Loaded: loaded (/lib/systemd/system/nginx.service; enabled)
>    Active: failed (Result: exit-code) since Вт 2015-01-13 09:45:35 MSK; 16s
> ago
>   Process: 17737 ExecStartPre=/usr/sbin/nginx -t -c /etc/nginx/nginx.conf
> (code=exited, status=1/FAILURE)

Does it happen with new install or update?

Seems to start fine with new install for me:

------------------------------------------------------------

[root@mandriva celestia]# urpmi http://abf-downloads.rosalinux.ru/rosa2014.1/container/2388417/i586/main/release/nginx-1.7.9-1-rosa2014.1.i586.rpm
добавляется источник «medium_for_nginx-1.7.9-1-rosa2014.1.i586.rpm»
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2388417/i586/main/release/media_info/20150112-122338-synthesis.hdlist.cz
Для удовлетворения зависимостей будут установлены следующие пакеты:                                                                        
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main (rosa2014.11)»)
 pcre                           8.35         2             rosa  2014.1 i586 
(командная строка)
 nginx                          1.7.9        1             rosa  2014.1 i586 
Будет использовано 1.4МБ дополнительного дискового пространства.
Будет загружено 529КБ пакетов.
Установить 2 пакетов? (Y/n) y


    http://abf-downloads.rosalinux.ru/rosa2014.1/repository/i586/media/main/release/pcre-8.35-2-rosa2014.1.i586.rpm
устанавливается /var/cache/urpmi/rpms/pcre-8.35-2-rosa2014.1.i586.rpm                                                                      
/var/cache/urpmi/partial/nginx-1.7.9-1-rosa2014.1.i586.rpm
Подготовка...                    #########################################################################################################
      1/2: nginx                 #########################################################################################################
      2/2: pcre                  #########################################################################################################
удаляется источник «medium_for_nginx-1.7.9-1-rosa2014.1.i586.rpm»
Warning: unable to close filehandle CFG_LIST properly.

[root@mandriva celestia]# systemctl status nginx
nginx.service - A high performance web server and reverse proxy server
   Loaded: loaded (/lib/systemd/system/nginx.service; enabled)
   Active: inactive (dead)

[root@mandriva celestia]# systemctl start nginx

[root@mandriva celestia]# systemctl status nginx
nginx.service - A high performance web server and reverse proxy server
   Loaded: loaded (/lib/systemd/system/nginx.service; enabled)
   Active: active (running) since Вт 2015-01-13 20:01:39 VLAT; 895ms ago
  Process: 26640 ExecStart=/usr/sbin/nginx -c /etc/nginx/nginx.conf (code=exited, status=0/SUCCESS)
  Process: 26637 ExecStartPre=/usr/sbin/nginx -t -c /etc/nginx/nginx.conf (code=exited, status=0/SUCCESS)
 Main PID: 26642 (nginx)
   CGroup: /system.slice/nginx.service
           ├─26642 nginx: master process /usr/sbin/nginx -c /etc/nginx/nginx.conf
           └─26643 nginx: worker process

янв 13 20:01:39 mandriva nginx[26637]: nginx: the configuration file /etc/nginx/nginx.conf syntax is ok
янв 13 20:01:39 mandriva nginx[26637]: nginx: configuration file /etc/nginx/nginx.conf test is successful
янв 13 20:01:39 mandriva systemd[1]: Started A high performance web server and reverse proxy server.
Comment 4 Alexander Petryakov 2015-01-13 16:15:36 MSK
Update

1) urpmi nginx
2) urpmi.addmedia --update 4850 http://abf-downloads.rosalinux.ru/rosa2014.1/container/2388418/x86_64/main/release/
3) urpmi --auto-select --auto-update
4) systemctl enable nginx
5) reboot
nginx - не стартовал после перезагрузки
6) systemctl status nginx
nginx.service - A high performance web server and reverse proxy server
   Loaded: loaded (/lib/systemd/system/nginx.service; enabled)
   Active: failed (Result: exit-code) since Вт 2015-01-13 09:45:35 MSK; 3h 38min ago
  Process: 17737 ExecStartPre=/usr/sbin/nginx -t -c /etc/nginx/nginx.conf (code=exited, status=1/FAILURE)

янв 13 09:45:35 FR5-amd64.rosa.int nginx[17737]: nginx: the configuration file /etc/nginx/nginx.conf sy... ok
янв 13 09:45:35 FR5-amd64.rosa.int nginx[17737]: nginx: [emerg] open() "/var/run/nginx/nginx.pid" faile...ry)
янв 13 09:45:35 FR5-amd64.rosa.int nginx[17737]: nginx: configuration file /etc/nginx/nginx.conf test failed
янв 13 09:45:35 FR5-amd64.rosa.int systemd[1]: nginx.service: control process exited, code=exited status=1
янв 13 09:45:35 FR5-amd64.rosa.int systemd[1]: Failed to start A high performance web server and rever...ver.
янв 13 09:45:35 FR5-amd64.rosa.int systemd[1]: Unit nginx.service entered failed state.
Hint: Some lines were ellipsized, use -l to show in full.
Comment 5 Andrey Bondrov 2015-01-13 21:32:45 MSK
(In reply to comment #4)
> 5) reboot

That was the culprit. After reboot /var/run was cleaned up and /var/run/nginx directory was removed. So nginx couldn't create /var/run/nginx/nginx.pid file anymore due to missing /var/run/nginx/ path.

Owning files and directories is wrong for packages. It's a major issue that was fixed in nginx 1.7.9-2.

Advisory: "New version 1.7.9. Fix PID file location. Remove Mandriva logo and label from the welcome page"

https://abf.rosalinux.ru/build_lists/2388865
https://abf.rosalinux.ru/build_lists/2388866
Comment 6 Alexander Petryakov 2015-01-15 07:33:05 MSK
После обновления nginx-1.7.9-1-rosa2014.1.i586 до nginx-1.7.9-2-rosa2014.1.i586
и перезагрузки на 32 битной системе получил ошибку
# systemctl status nginx.service 
nginx.service - A high performance web server and reverse proxy server
   Loaded: loaded (/lib/systemd/system/nginx.service; enabled)
   Active: failed (Result: exit-code) since Ср 2015-01-14 06:20:21 MSK; 24h ago
  Process: 1115 ExecStartPre=/usr/sbin/nginx -t -c /etc/nginx/nginx.conf (code=exited, status=1/FAILURE)

янв 14 06:20:19 FR5-i386.rosa.int systemd[1]: Starting A high performance....
янв 14 06:20:21 FR5-i386.rosa.int nginx[1115]: nginx: [emerg] host not fou...
янв 14 06:20:21 FR5-i386.rosa.int nginx[1115]: nginx: configuration file /...
янв 14 06:20:21 FR5-i386.rosa.int systemd[1]: nginx.service: control proc...1
янв 14 06:20:21 FR5-i386.rosa.int systemd[1]: Failed to start A high perf....
янв 14 06:20:21 FR5-i386.rosa.int systemd[1]: Unit nginx.service entered ....
Hint: Some lines were ellipsized, use -l to show in full.

Но в ручную nginx стартует
# systemctl start nginx.service 
[root@FR5-i386 sasha]# systemctl status nginx.service 
nginx.service - A high performance web server and reverse proxy server
   Loaded: loaded (/lib/systemd/system/nginx.service; enabled)
   Active: active (running) since Чт 2015-01-15 06:30:50 MSK; 4s ago
  Process: 10942 ExecStart=/usr/sbin/nginx -c /etc/nginx/nginx.conf (code=exited, status=0/SUCCESS)
  Process: 10940 ExecStartPre=/usr/sbin/nginx -t -c /etc/nginx/nginx.conf (code=exited, status=0/SUCCESS)
 Main PID: 10944 (nginx)
   CGroup: /system.slice/nginx.service
           ├─10944 nginx: master process /usr/sbin/nginx -c /etc/nginx/nginx....
           └─10945 nginx: worker process

янв 15 06:30:49 FR5-i386.rosa.int systemd[1]: Starting A high performance....
янв 15 06:30:49 FR5-i386.rosa.int nginx[10940]: nginx: the configuration f...
янв 15 06:30:49 FR5-i386.rosa.int nginx[10940]: nginx: configuration file ...
янв 15 06:30:50 FR5-i386.rosa.int systemd[1]: Started A high performance ....
Hint: Some lines were ellipsized, use -l to show in full.
Comment 7 Andrey Bondrov 2015-01-15 10:20:05 MSK
Please try new build lists, I tried to fix service file (added "After").

Advisory: "New version 1.7.9. Fix PID file location. Remove Mandriva logo and label from the welcome page."

https://abf.rosalinux.ru/build_lists/2390399
https://abf.rosalinux.ru/build_lists/2390400
Comment 8 Alexander Petryakov 2015-01-17 03:47:15 MSK
https://abf.rosalinux.ru/build_lists/2390399
https://abf.rosalinux.ru/build_lists/2390400
nginx-1.7.9-3
************** Advisory **************
New version 1.7.9. Fix PID file location. Remove Mandriva logo and label from the welcome page.
**************************************
QA Verified